---
argument_specs:
  main:
    short_description: Setup basic Debian installation and networking
    description:
      - Setup basic debian system
      - "- networking with systemd-networkd"
      - "  - bonds for hardware and normal interfaces for VMs"
      - "- dns with systemd-resolved"
      - "- apt"
      - "- luks encryption"
      - "- user and shell"
    author: XenGi
    options:
      network:
        description: netplan network configuration
        type: dict
        required: yes
      ssh_keys:
        description: List of ssh public key entries to use for dracut-sshd module
        type: "list"
        required: true
        elements: "str"
      dns_servers:
        description: List of fallback DNS servers
        type: "list"
        required: true
        elements: "str"
      dns_search_domains:
        description: DNS search domain
        type: "str"
        required: true

